osso-voip-ui (2.5-1) unstable; urgency=low

  * No longer time out channel requests (Fixes: NB#81697)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu, 24 Apr 2008 12:23:49 +0300

osso-voip-ui (2.4-1) unstable; urgency=low

  * If requesting a video stream fails while handling an incoming call,
    do not disable the camera (Fixes: NB#82864)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 19 Mar 2008 16:15:55 +0200

osso-voip-ui (2.3-1) unstable; urgency=low

  * Terminate the call when the contact is blocked through the Get in contact
    dialog (Fixes: NB#82747)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 18 Mar 2008 17:30:34 +0200

osso-voip-ui (2.2-1) unstable; urgency=low

  * If the EContact changes while calling an already blocked contact,
    do not drop the call (Fixes: NB#82406)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 12 Mar 2008 13:35:30 +0200

osso-voip-ui (2.1-2) unstable; urgency=low

  * Make it compile

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon,  3 Mar 2008 17:38:27 +0200

osso-voip-ui (2.1-1) unstable; urgency=low

  * When device is locked, camera out, and an incoming call is received,
    do not request a video stream (Fixes: NB#81658)
  * Use a saner versioning scheme (2.0.99 -> 2.1)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon,  3 Mar 2008 15:43:11 +0200

osso-voip-ui (2.0.99-1) unstable; urgency=low

  * Use a unique error domain for GErrors returned by HandleChannel
    (Fixes: NB#81483)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu, 28 Feb 2008 10:43:56 +0200

osso-voip-ui (2.0.98-1) unstable; urgency=low

  * Ensure that D-Bus method calls are handled before determining whether or not
    to show the idle view (Fixes: NB#81479)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu, 28 Feb 2008 10:04:02 +0200

osso-voip-ui (2.0.97-1) unstable; urgency=low

  * Do not turn off the camera when a video stream is removed from
    an unanswered call (Fixes: NB#80938)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 19 Feb 2008 10:46:07 +0200

osso-voip-ui (2.0.96-1) unstable; urgency=low

  * Request a video stream, if camera is enabled on receiving an incoming
    audio call (and caps allow video) (Fixes: NB#80623)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 13 Feb 2008 11:25:39 +0200

osso-voip-ui (2.0.95-1) unstable; urgency=low

  * Do not re-add manual contacts if they are deleted in the summary view
    (Fixes: NB#80145)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 12 Feb 2008 09:46:54 +0200

osso-voip-ui (2.0.94-1) unstable; urgency=low

  * Do not display "Invalid number" banner when trying to start
    a call without a valid account (Fixes: NB#80349)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu,  7 Feb 2008 09:35:10 +0200

osso-voip-ui (2.0.93-1) unstable; urgency=low

  * Whenever there's no capabilities iface, enable video capability only
    if video-p2p capability is set in the profile (Fixes: NB#80075).

  * Make it possible to start video calls (without upgrading)
    on N810.

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri,  1 Feb 2008 15:51:14 +0200

osso-voip-ui (2.0.92-1) unstable; urgency=low

  * Only unset the devlock mode callback when the ongoing call dialog
    is destroyed (Fixes: NB#78831).

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed,  2 Jan 2008 16:43:53 +0200

osso-voip-ui (2.0.91-1) unstable; urgency=low

  * Unset "fake-video-caps" if GetCapabilities returns with video caps

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon, 17 Dec 2007 16:56:11 +0200

osso-voip-ui (2.0.90-1) unstable; urgency=low

  * Dim the camera button in case the peer first goes invisible and then
    closes the camera (additional fix for NB#77430)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 12 Dec 2007 14:47:22 +0200

osso-voip-ui (2.0.89-1) unstable; urgency=low

  * Use tp_conn_new_without_connect() instead of tp_conn_new() to avoid
    a warning about using deprecated APIs

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 11 Dec 2007 16:39:08 +0200

osso-voip-ui (2.0.88-1) unstable; urgency=low

  * If an outgoing call is made with the camera out, request both audio
    and video streams at one go (Fixes N800 IOP issues in SIP video
    calls

  * Unset video capability when a video stream is removed and the
    capability was assumed by us (rather than signalled by the CM)
    Fixes: NB#77430

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed,  5 Dec 2007 14:49:46 +0200

osso-voip-ui (2.0.87-3) unstable; urgency=low

  * Tagging for Diablo

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon,  3 Dec 2007 13:57:29 +0200

osso-voip-ui (2.0.87-2) unstable; urgency=low

  * Make the remote video window 12px wider in normal view
    (Fixes: NB#74321)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri, 26 Oct 2007 10:16:05 +0300

osso-voip-ui (2.0.87-1) unstable; urgency=low

  * Query stats from SE in testing mode (set DEB_BUILD_OPTIONS=tests to compile)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon, 22 Oct 2007 09:40:59 +0300

osso-voip-ui (2.0.86-1) unstable; urgency=low

  * If another stream of the same type arrives, remove the existing
    one if it's still disconnected (Fixes: NB#69778)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 10 Oct 2007 11:15:44 +0300

osso-voip-ui (2.0.85-1) unstable; urgency=low

  * If opening the EBook fails when opened through URI handler,
    don't open up empty (fixes an issue pointed out in NB#71825, but
    not the original problem there)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed,  3 Oct 2007 16:40:01 +0300

osso-voip-ui (2.0.84-1) unstable; urgency=low

  * Re-enable the custom frame graphics as they no longer have rounded
    corners

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon,  1 Oct 2007 11:57:08 +0300

osso-voip-ui (2.0.83-1) unstable; urgency=low

  * Make the video/avatar frames follow the aspect ratio of their contents
  * Re-add a frame around the preview box

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon,  1 Oct 2007 11:25:03 +0300

osso-voip-ui (2.0.82-1) unstable; urgency=low

  * Force the preview window at PAL QCIF size and remove the themed frame
    around it to make FPS fast and the UI look decent

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri, 28 Sep 2007 11:21:08 +0300

osso-voip-ui (2.0.81-1) unstable; urgency=low

  * Free the GValueArrays contained in the GPtrArrays

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 26 Sep 2007 09:51:41 +0300

osso-voip-ui (2.0.80-1) unstable; urgency=low

  * Get the local pending members synchronously and remove them
    with a no-reply D-Bus call

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 25 Sep 2007 16:29:19 +0300

osso-voip-ui (2.0.79-1) unstable; urgency=low

  * Assume video capabilities if there's video stream on an incoming call

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 25 Sep 2007 11:13:26 +0300

osso-voip-ui (2.0.78-1) unstable; urgency=low

  * Fix a mem leak introduced in the previous release

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon, 24 Sep 2007 17:33:27 +0300

osso-voip-ui (2.0.77-1) unstable; urgency=low

  * Work around UI spec bug NB#68696
  * Make the last dialled calls persist (Fixes: NB#68342)
  * If the call has been connected before, show "reconnecting" instead
    of "connecting" (Fixes: NB#70545)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon, 24 Sep 2007 15:51:51 +0300

osso-voip-ui (2.0.76-1) unstable; urgency=low

  * Disconnect error handler from MC proxy on manager dispose

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri, 21 Sep 2007 10:50:54 +0300

osso-voip-ui (2.0.75-1) unstable; urgency=low

  * Avoid disabling the camera when two video streams collide
    and one of them gets removed (Fixes: NB#69778)
  * Show "Unable to establish connection" only ever when the call
    fails in calling or connecting state

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon, 17 Sep 2007 16:39:57 +0300

osso-voip-ui (2.0.74-1) unstable; urgency=low

  * Avoid freeing stream data twice when the application is closed during
    a call (Fixes: NB#69102)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu, 13 Sep 2007 09:53:52 +0300

osso-voip-ui (2.0.73-1) unstable; urgency=low

  * Handle libhal_ctx_init() return value to avoid triggering a
    D-Bus memory corruption bug (NB#69207) or an assertion.
  * Trap possible XV-related errors at exit
  * If a contact does not have voice-capable accounts, show
    "Contact unable to talk" banner instead of "Invalid address"

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 12 Sep 2007 14:54:56 +0300

osso-voip-ui (2.0.72-1) unstable; urgency=low

  * Add set_camera_enabled (b: enabled) D-Bus method for
    automated tests. The UI, however, reserves the right to
    override this setting (or even malfunction because of it) at
    any time

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 11 Sep 2007 10:29:20 +0300

osso-voip-ui (2.0.71-1) unstable; urgency=low

  * Stop DTMF events 100ms after button release. Remove the timer
    if the same button is pressed again in the mean time
    (workaround for NB#68613 that won't be fixed)
  * Add a new filter function for enabledness and use it where
    enabledness matters (Fixes: NB#68776)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri,  7 Sep 2007 14:15:50 +0300

osso-voip-ui (2.0.70-1) unstable; urgency=low

  * Do not overwrite the summary view title when the EContact
    changes on updating the last-used timestamp (Fixes: NB#68696)
  * Make the "No answer" timeout slightly shorter so it does not
    compete with gabble's
  * Map OFFLINE reason to "Unable to contact target" (Fixes: NB#56405)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu,  6 Sep 2007 19:14:13 +0300

osso-voip-ui (2.0.69-1) unstable; urgency=low

  * Handle HW key 0 in the DTMF dialog (Fixes: NB#68554)
  * Register URI handlers with strings from osso-uri domain
    (Fixes: NB#68520)
  * Focus the dialpad entry only after the dialog has been mapped
    (questionably Fixes: NB#68170)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu,  6 Sep 2007 11:00:36 +0300

osso-voip-ui (2.0.68-1) unstable; urgency=low

  * Reject calls with RemoveMembersWithReason (Fixes: NB#55599)
  * Avoid clearing blocked flag when updating last-used flag of an
    EContact (Fixes: NB#63367)
  * Handle tp_chan_new() and tp_conn_new() returning NULL
  * When there's no capabilities iface, assume video capability
    to allow trial and error behavior. Disable preview when a video
    stream gets removed.

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue,  4 Sep 2007 19:30:54 +0300

osso-voip-ui (2.0.67-1) unstable; urgency=low

  * Present the main window before showing the Exit confirmation note
    (Fixes: NB#52909)
  * List contact accounts by OssoABookCaps, so we are synchronized with abook
    views
  * Name widgets that will have custom theming
  * Use smaller icons and smaller margins in summary view buttons 

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 29 Aug 2007 12:22:12 +0300

osso-voip-ui (2.0.66-1) unstable; urgency=low

  * Run add simple contact with arguments signalled by the idle view

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 28 Aug 2007 15:13:11 +0300

osso-voip-ui (2.0.65-1) unstable; urgency=low

  * Fix error handling with invalid URIs
  * Unconditionally present the main window on getting a URI open request
  * Chain up VoipIdleView and VoipAccountCombo finalize methods
  * Enable ellipsization for the timer/status label
  * Plug a couple of leaks at object destruction

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 22 Aug 2007 17:45:16 +0300

osso-voip-ui (2.0.64-1) unstable; urgency=low

  * Make dialpad buttons unfocusable to not clear possible selection in the
    entry field. Make selections deletable/replaceable.
  * In DTMF dialog, keep the button lit (and tone sending) for the duration
    of the button press (i.e. disregard leave notifies)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 21 Aug 2007 10:00:15 +0300

osso-voip-ui (2.0.63-1) unstable; urgency=low

  * On StreamAdded (video), always assume video caps (Fixes: NB#66218)
  * Instead of hiding the dialpad on VKB popped up, adjust the font size

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon, 20 Aug 2007 19:21:57 +0300

osso-voip-ui (2.0.62-1) unstable; urgency=low

  * Connect to CapabilitiesChanged signal on the correct interface
  * Depend on and make use of the new maemo-launcher-dev (Fixes: NB#65933)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri, 17 Aug 2007 14:30:15 +0300

osso-voip-ui (2.0.61-1) unstable; urgency=low

  * Enable the "Create new contact" feature (Fixes: NB#59450)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu, 16 Aug 2007 12:41:19 +0300

osso-voip-ui (2.0.60-1) unstable; urgency=low

  * Close DTMF dialpad when the call finishes (aka connect to the correct
    state change notify signal)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 15 Aug 2007 15:22:18 +0300

osso-voip-ui (2.0.59-1) unstable; urgency=low

  * Hide the dialpad in manual dial dialog when VKB is visible
    (Fixes: NB#55149)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 14 Aug 2007 18:15:15 +0300

osso-voip-ui (2.0.58-1) unstable; urgency=low

  * Update incoming and outgoing call dialog layouts
  * Use different layouts for dial and dtmf pads
  * If possible, run the contact starter dialog with all-contacts
    bookview

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri, 10 Aug 2007 12:42:54 +0300

osso-voip-ui (2.0.57-1) unstable; urgency=low

  * Present the application in voipto: handler if a dialog is open
    (Fixes: NB#65084)
  * Disallow enabling camera when the remote peer has no video capability
  * Do not poke GtkMenuShell's children directly (Fixes: NB#65088 ?)
  * Avoid getting an EBookView twice with outgoing calls

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu,  9 Aug 2007 17:10:29 +0300

osso-voip-ui (2.0.56-1) unstable; urgency=low

  * Clean up properly on the "shutdown" signal (Fixes: NB#64925) 

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri,  3 Aug 2007 13:57:03 +0300

osso-voip-ui (2.0.55-1) unstable; urgency=low

  * Fix a NULL pointer dereference (caused a crash when a call was
    started from address book)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu,  2 Aug 2007 16:23:17 +0300

osso-voip-ui (2.0.54-1) unstable; urgency=low

  * Swap camera button icons (Fixes: NB#63146)
  * Hide camera button in the summary view
  * Destroy the call context when the call summary is cleared
  * Remove possibly pending idle functions on VoipWindow destroy()

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu,  2 Aug 2007 12:21:20 +0300

osso-voip-ui (2.0.53-1) unstable; urgency=low

  * Fix handling of sip: URIs passed by other applications

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri, 27 Jul 2007 11:02:15 +0300

osso-voip-ui (2.0.52-1) unstable; urgency=low

  * Ensure remote video unsupported is only signalled if camera is out
    (Fixes: NB#64022)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 25 Jul 2007 12:14:20 +0300

osso-voip-ui (2.0.51-1) unstable; urgency=low

  * Make address book queries "sip:" insensitive (Fixes: MB#1700)
  * Update help keys

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 24 Jul 2007 10:27:15 +0300

osso-voip-ui (2.0.50-1) unstable; urgency=low

  * Eliminate a side effect of an earlier fix to NB#62762:
    Call status indicator appeared empty on redial

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 18 Jul 2007 14:41:36 +0300

osso-voip-ui (2.0.49-1) unstable; urgency=low

  * Use the correct size (128px) for the default avatar icon
  * Use GDK_INTERP_BILINEAR for scaling
  * Update incoming and ongoing call dialog layouts
  * Fix another crasher at exit

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 17 Jul 2007 16:52:35 +0300

osso-voip-ui (2.0.48-1) unstable; urgency=low

  * Disconnect libosso callbacks before destroying the main window
    (Fixes: NB#63305)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon, 16 Jul 2007 13:54:17 +0300

osso-voip-ui (2.0.47-1) unstable; urgency=low

  * Avoid shutting down on HS-48 button press to accept the call 
    (Fixes: NB#62381)
  * Start the book view before running add to contacts dialog
    (Fixes: NB#62497, NB#62607)
  * Do not set a default action in the settings dialog (Fixes: NB#62361)
  * Show the summary view (also ending possible camera preview) after
    the call has been closed (Fixes: NB#62762)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon, 16 Jul 2007 10:40:20 +0300

osso-voip-ui (2.0.46-1) unstable; urgency=low

  * Fix up the previous release by plugging a leak of EBookViews

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu, 28 Jun 2007 14:30:30 +0300

osso-voip-ui (2.0.45-1) unstable; urgency=low

  * Make calls to e_book_async_get_book_view() resistant to destroyed user
    data (Fixes: NB#61941)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu, 28 Jun 2007 09:51:31 +0300

osso-voip-ui (2.0.44-1) unstable; urgency=low

  * Hide or show the "Add to contacts" button on demand (Fixes: NB#56404).
  * Adjust video window positions and sizes (note that to make the windows
    properly aligned, the GtkFrame border values still need to be changed from
    3 to 2)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 27 Jun 2007 16:33:05 +0300

osso-voip-ui (2.0.43-1) unstable; urgency=low

  * Make "Launch when camera out" setting dependent on the HW
    (Fixes: NB#56100)
  * Use the correct icon as the default avatar

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 26 Jun 2007 16:04:50 +0300

osso-voip-ui (2.0.42-1) unstable; urgency=low

  * Do not play the "call finished" sound twice in device lock mode
  * On a URI handling request, gtk_window_present() the main window
    even if the URI cannot be handled.
  * Avoid recursion in a size-allocate callback
  * Move EDS related code from VoipManager to VoipCallContext
   (Fixes: NB#60877)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 19 Jun 2007 12:10:19 +0300

osso-voip-ui (2.0.41-1) unstable; urgency=low

  * Fix behavior with cameras without the "cam-act" property

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri, 15 Jun 2007 19:18:39 +0300

osso-voip-ui (2.0.40-1) unstable; urgency=low

  * Depend on hildon-help rather than osso-help
  * Enable keyboard shortcuts
  * Remove help from the incoming call dialog, and make it 'keep-above' always
    (Fixes: NB#53330)
  * Limit the maximum zoom factor of avatar images to 4x

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri, 15 Jun 2007 16:26:22 +0300

osso-voip-ui (2.0.39-1) unstable; urgency=low

  * Dim the camera button on camera-out event (Fixes: NB#60346)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 12 Jun 2007 19:23:29 +0300

osso-voip-ui (2.0.38-1) unstable; urgency=low

  * Make possible bluetooth headset(s) indicate incoming calls

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon, 11 Jun 2007 15:09:21 +0300

osso-voip-ui (2.0.37-1) unstable; urgency=low

  * Get account plugin name from osso-accounts-settings 

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri,  8 Jun 2007 14:50:09 +0300

osso-voip-ui (2.0.36-1) unstable; urgency=low

  * If camera is out, enable local preview after exiting device lock mode
    (Fixes: NB#59775)
  * Dim the "New" item on redial (Fixes: NB#59769)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed,  6 Jun 2007 19:40:15 +0300

osso-voip-ui (2.0.35-1) unstable; urgency=low

  * Call libhal_ctx_shutdown() in finalize rather than dispose()
  * Make the "Start" menu item work in the idle view (Fixes: NB#59062)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu, 31 May 2007 17:47:33 +0300

osso-voip-ui (2.0.34-1) unstable; urgency=low

  * Use libhal to list v4l2 capture devices and to be notified on
    their properties (Fixes: NB#58914)
  * Show an infobanner when tapping a dimmed camera button on N800
    (Fixes: NB#56120)
  * Don't enable dialpad item when some account is enabled during a call
    (Fixes: NB#59058)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 30 May 2007 18:39:02 +0300

osso-voip-ui (2.0.33-1.1) unstable; urgency=low

  * IVC disabled

 -- Dmitry Rozhkov <ext-dmitry.1.rozhkov@nokia.com>  Thu, 24 May 2007 11:39:46 +0300

osso-voip-ui (2.0.33-1) unstable; urgency=low

  * On redial, copy user-name, vcard-field and bound before passing them
    to manager (Fixes: NB#58218)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 23 May 2007 17:48:39 +0300

osso-voip-ui (2.0.32-1) unstable; urgency=low

  * Apply Onne's patch for secondary vcard fields

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 22 May 2007 17:18:35 +0300

osso-voip-ui (2.0.31-1) unstable; urgency=low

  * When launched with an invalid "voipto:" URI, load the idle view
  * On ending a video call and displaying the call summary, remove preview
    window from the SE, too

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon, 21 May 2007 12:22:24 +0300

osso-voip-ui (2.0.30-1) unstable; urgency=low

  * Make the camera button functional (Fixes: NB#55016, NB#55957)
  * Open Get in contact dialog from Recent menu even during a call
    (Fixes: NB#57195)
  * Show infobanner on tapping dimmed DTMF item in initial idle view
    (Fixes: NB#57175)
  * Show correct infobanner on tapping dimmed Add to contact item in Summary view
    (Fixes: NB#57197)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 16 May 2007 18:20:21 +0300

osso-voip-ui (2.0.29-1) unstable; urgency=low

  * No longer add missed calls to contact plugin. MC will handle this
    from now on (Fixes: NB#56369)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri, 11 May 2007 10:58:32 +0300

osso-voip-ui (2.0.28-1) unstable; urgency=low

  * Prioritize normal, visible contacts over manual ones
  * If no contact were found by EBookView "sequence-complete", add a manual
    contact
  * If current EContact is manual, keep "Add to contacts" undimmed
    (Fixes: NB#56561)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu, 10 May 2007 16:12:21 +0300

osso-voip-ui (2.0.27-1) unstable; urgency=low

  * On StreamRemoved for a video stream, hide the video window

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu, 10 May 2007 10:27:14 +0300

osso-voip-ui (2.0.26-1) unstable; urgency=low

  * Show McAccount's display name in "Account" field (Fixes: NB#55806)
  * Do not allow closing the application when there's a dialog open
    (Fixes: NB#56361)

  * Use the specified icon for the Dialpad button
  * Avoid saving empty strings and crashing GConfClient
  * Separate call data from VoipManager into VoipCallContext. Also, adapt
    all widgets to this change
  * Make the UI quietly shut down if its channel handler is called
    with a channel that no longer exists, and if the main window is
    not yet visible.
  * Enable "Number busy" infoprint

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed,  9 May 2007 16:47:25 +0300

osso-voip-ui (2.0.25-1) unstable; urgency=low

  * Remove presence and service icons from the ongoing call dialog
    (Fixes: NB#55609)
  * Persist the last account used for manual dialing (Fixes: NB#55630)
  * When attempting to redial with a disabled account, select a fallback account
    if possible (Fixes: NB#55673)
  * Ensure redialed calls always go to the same contact whose details the summary
    view displays (instead of a contact whose call we missed/rejected)
    (Fixes: NB#54866)
  * Add "Call rejected" status (Fixes: NB#55599)
  * Add "Invalid address" status

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed,  2 May 2007 13:47:40 +0300

osso-voip-ui (2.0.24-1) unstable; urgency=low

  * Chain up key-press and key-release handlers (Fixes: NB#55395)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon, 30 Apr 2007 12:00:52 +0300

osso-voip-ui (2.0.23-1) unstable; urgency=low

  * Replace local preview with avatar in summary view (Fixes: NB#54992)
  * Base remote video availability on "receiving" rather than directionality 

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 24 Apr 2007 19:38:40 +0300

osso-voip-ui (2.0.22-1) unstable; urgency=low

  * Start the call timer on MembersChanged + StreamStateChanged (Connected)
    rather than MembersChanged + Receiving
  * Set window title properly (Fixes: NB#54527)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon, 23 Apr 2007 11:30:43 +0300

osso-voip-ui (2.0.21-1) unstable; urgency=low

  * Fix sensitivity of the "Add to contacts" menu item (Fixes: NB#54589)
  * Fix sensitivity of the DTMF dialpad menu item

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 18 Apr 2007 18:04:56 +0300

osso-voip-ui (2.0.20-1) unstable; urgency=low

  * Make the DTMF dialog send events also when opened through the main menu
  * Eliminate a couple of compiler warnings
  * Disable upscaling of the smaller avatar image
  * Apply the Hildon consolidation patch

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 17 Apr 2007 14:36:58 +0300

osso-voip-ui (2.0.19-1) unstable; urgency=low

  * Preliminary DTMF support

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri, 13 Apr 2007 11:31:45 +0300

osso-voip-ui (2.0.18-1) unstable; urgency=low

  * Do not upscale avatars in incoming and device-lock ongoing call dialogs
  * Make manual dial dialog react to account-enabled/account-disabled signals
  * Display both small and large avatar images in call view
  * Display local avatar in the summary view
  * Add "Account" field in the details dialog

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu, 12 Apr 2007 15:45:09 +0300

osso-voip-ui (2.0.17-1) unstable; urgency=low

  * Focus the call view main button after redialing
  * Add VoipAccountCombo widget
  * Set a model for the GtkComboBoxEntry in the manual dial dialog
  * Consider (pressed down) Esc key as released when toplevel loses focus
    (Fixes: NB#53803)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed,  4 Apr 2007 12:10:08 +0300

osso-voip-ui (2.0.16-1) unstable; urgency=low

  * Simplify and sanitize avatar handling code
  * Update incoming call dialog layout 

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon,  2 Apr 2007 11:32:04 +0300

osso-voip-ui (2.0.15-1) unstable; urgency=low

  * Fix notification of missed calls
  * Update DTMF dialpad layout
  * Make the backspace button work in manual dial dialog
  * Hook up the 'contact' button with the contact starter dialog

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 28 Mar 2007 10:50:57 +0300

osso-voip-ui (2.0.14-1) unstable; urgency=low

  * Add OssoABookAccountCombo to manual dial dialog
  * Hoop up the dialog, so one can start calls from it

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri, 23 Mar 2007 14:08:05 +0200

osso-voip-ui (2.0.13-1) unstable; urgency=low

  * More layout updates
  * Updated manual dial and DTMF dialpad dialogs
  * Added "New contact" item in the Tools menu
  * Disconnect "destroyed" signal handler from the connection proxy before
    unreffing it

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri, 23 Mar 2007 10:15:54 +0200

osso-voip-ui (2.0.12-1) unstable; urgency=low

  * Layout updates
  * Ensure the video call view is proper when redialing from the summary view
  * Prioritize user-set photo over account avatars
  * Disable background image

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 21 Mar 2007 11:56:36 +0200

osso-voip-ui (2.0.11-1) unstable; urgency=low

  * Fixed a typo that made us reject all incoming calls

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri, 16 Mar 2007 19:28:20 +0200

osso-voip-ui (2.0.10-1) unstable; urgency=low

  * Split VoipIdleView into RtcomIdleView and VoipIdleView
  * Commit contacts whose last-used flag we've updated
  * Set bookview to recent group so it actually fills up
  * Tentatively add the dialpad button in the idle view

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 14 Mar 2007 17:45:42 +0200

osso-voip-ui (2.0.9-1) unstable; urgency=low

  * Derive VoipAvatar from GtkWidget rather than GtkDrawingArea, so it doesn't
    incorrectly try and resize its parent window.

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri,  9 Mar 2007 17:02:28 +0200

osso-voip-ui (2.0.8-1) unstable; urgency=low

  * Minor updates in button themes and icon sizes in preparation for gtk+ 2.10
  * Call view layout updates (roughly based on the design brief)
  * Enable OssoABookSearchEntry for the idle view
  * Add "manual" contacts with no previous EContact into abook
  * Bind blocked manual contacts to local accounts

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri,  9 Mar 2007 12:05:18 +0200

osso-voip-ui (2.0.7-1) unstable; urgency=low

  * Add online group to idle view
  * OssoABookTreeView related updates
  * Display users's own avatar in audio call view

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri,  2 Mar 2007 17:04:34 +0200

osso-voip-ui (2.0.6-1) unstable; urgency=low

  * Make sure we don't display empty window in case we are asked to
    start a call with a bogus contact
  * Removed a workaround for NB#47070, as the fix has now landed
    in libtelepathy

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 27 Feb 2007 09:14:01 +0200

osso-voip-ui (2.0.5-1) unstable; urgency=low

  * Do not display the main window below the incoming call dialog
  * Tweaked avatar sizes and loading

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 21 Feb 2007 16:20:09 +0200

osso-voip-ui (2.0.4-1) unstable; urgency=low

  * Do not display the idle view when started through the URI handler
  * When available, use the normalized name of an McAccount (rather than
    the "account" parameter)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 20 Feb 2007 16:24:58 +0200

osso-voip-ui (2.0.3-1) unstable; urgency=low

  * Updated idle and video call view layouts based on the latest layout guide.
    (Audio call layout is under construction)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 14 Feb 2007 13:37:14 +0200

osso-voip-ui (2.0.2-1) unstable; urgency=low

  * Fix menu item sensitivity, and display infoprints for dimmed items
  * Refactored the idle view

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 17 Jan 2007 14:17:04 +0200

osso-voip-ui (2.0.1-1) unstable; urgency=low

  * No longer free the return value of mc_account_get_unique_name ()

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 16 Jan 2007 14:41:48 +0200

osso-voip-ui (2.0.0-1) unstable; urgency=low

  * Initial release for OSSO 1.0; compliant with MC 4.1

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri,  5 Jan 2007 12:49:26 +0200

osso-voip-ui (1.1.18-1) unstable; urgency=low

  * Disable "Reply via chat" option for IVC calls (Fixes: NB#50272)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri, 22 Dec 2006 09:37:28 +0200

osso-voip-ui (1.1.17-1) unstable; urgency=low

  * Update incoming call CSM sensitivity when we get the EContact
    (Fixes: NB#43876)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri, 15 Dec 2006 11:00:55 +0200

osso-voip-ui (1.1.16-1) unstable; urgency=low

  * Ensure we don't show account and IVC wizards simultaneously (Fixes: NB#45886)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 12 Dec 2006 11:18:26 +0200

osso-voip-ui (1.1.15-1) unstable; urgency=low

  * Fix a flaw in the logic of removing extraneous audio/video streams
    (Fixes: NB#49433)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon, 11 Dec 2006 17:19:32 +0200

osso-voip-ui (1.1.14-1) unstable; urgency=low

  * Ensure stream proxy is destroyed with the channel (Fixes: NB#47070 properly)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Fri,  8 Dec 2006 13:45:27 +0200

osso-voip-ui (1.1.13-1) unstable; urgency=low

  * Add sanity checks in D-Bus signal handlers (Fixes: NB#47070)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu,  7 Dec 2006 17:52:07 +0200

osso-voip-ui (1.1.12-1) unstable; urgency=low

  * Fix a race in device lock mode handling (Fixes: NB#48214)
  * Exit on Disconnected signal from D-Bus daemon (Fixes: NB#47462)
  * Revise screen blanking prevention logic (Fixes: NB#48544)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 28 Nov 2006 15:02:26 +0200

osso-voip-ui (1.1.11-1) unstable; urgency=low

  * IVC: remove aliasing code from the UI (Fixes: NB#47584)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Wed, 22 Nov 2006 17:51:49 +0200

osso-voip-ui (1.1.10-1) unstable; urgency=low

  * Migrate to mission_control_cancel_channel_request ()
  * Subscribe to IVC contacts on the server (rather than adding a contact to
    local abook)
  * Stop calling tone when audio stream is connected and call accepted (instead
    of waiting till "receiving" state)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon, 20 Nov 2006 11:02:47 +0200

osso-voip-ui (1.1.9-1) unstable; urgency=low

  * IVC: Go online with the newly created IVC account to ensure authorization
    can succeed.

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue, 14 Nov 2006 13:15:45 +0200

osso-voip-ui (1.1.8-1) unstable; urgency=low

  * Add and authorize unknown IVC contacts (Fixes: NB#46284)
  * End calls and re-initialize previews on SE crashes (Fixes: NB#47051)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Tue,  7 Nov 2006 17:26:10 +0200

osso-voip-ui (1.1.7-1) unstable; urgency=low

  * Make more commands menu openable from incoming call dialog
    (Fixes: NB#46448)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Mon,  6 Nov 2006 15:46:06 +0200

osso-voip-ui (1.1.6-1) unstable; urgency=low

  * Enable headset button listening with an async D-Bus call in order not
    to lose Galago presence signals! (Fixes: NB#44215, NB#46261) 

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu,  2 Nov 2006 18:12:54 +0200

osso-voip-ui (1.1.5-1) unstable; urgency=low

  * Set no-reply flag for low-level D-Bus method calls we do not
    expect a reply to (Fixes: NB#44215)

 -- Lassi Syrjala <lassi.syrjala@nokia.com>  Thu,  2 Nov 2006 18:10:42 +0200

osso-voip-ui (1.1.4-1) unstable; urgency=low

  * Launch IVC account creation wizard from videovoip: handler, if no
    IVC account has been set up (Fixes: NB#44158)
  * On videovoip: originated calls, select IVC account automatically
    (Fixes: NB#44166)

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 24 Oct 2006 12:47:45 +0300

osso-voip-ui (1.1.3-1) unstable; urgency=low

  * Don't send video in devlock mode (Fixes: NB#42646)
  * Update recent list only on successful calls (Fixes: NB#39739)
  * Avoid falling through cases in a switch(), fixes a bug that slipped
    into 1.1.2-1 (concerns directionality logic)

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 23 Oct 2006 11:14:51 +0300

osso-voip-ui (1.1.2-1) unstable; urgency=low

  * Ironed out the last known directionality issues
  * Ask SE to shut down when the UI exits (Fixes: NB#43504)
  * Take a new approach to resolving local McAccount for an incoming call
    (possibly fixes: NB#43789)

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 20 Oct 2006 13:19:01 +0300

osso-voip-ui (1.1.1-1) unstable; urgency=low

  * Ditch libosso-rtcom in favor of libmissioncontrol and osso-contact-plugin

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 19 Oct 2006 13:12:46 +0300

osso-voip-ui (1.1.0-1) unstable; urgency=low

  * Set ouput window for newly added video streams (Fixes: NB#43548)
  * Miscellaneous corrections to directionality feature

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 19 Oct 2006 10:32:07 +0300

osso-voip-ui (1.0.17-1.1) unstable; urgency=low

  * version bumped up

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Tue, 17 Oct 2006 18:51:33 +0300

osso-voip-ui (1.0.17-1) unstable; urgency=low

  * Unhide recent calls data file so that CUD script clears it (Fixes: NB#43053)
  * Support videovoip: URI scheme (Fixes: NB#43084)
  * Listen to headset button on outgoing calls, too (Fixes: NB#43238)

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 12 Oct 2006 11:33:03 +0300

osso-voip-ui (1.0.16-1) unstable; urgency=low

  * Start calls on audio "receiving" signal. Before that remain
    in calling/connecting states. (Fixes: NB#42451)

 -- Naba Kumar <naba.kumar@nokia.com>  Mon,  9 Oct 2006 15:46:07 +0300

osso-voip-ui (1.0.15-1) unstable; urgency=low

  * Dim "Start" menu item if we don't have an EContact (Fixes: NB#42172)
  * Map output video window on "receiving" signal only, before that
    display "Waiting for video"

 --  Naba Kumar <naba.kumar@nokia.com>  Wed,  4 Oct 2006 11:35:00 +0300

osso-voip-ui (1.0.14-1) unstable; urgency=low

  * Handle stream-added and stream-removed signals

 --  Naba Kumar <naba.kumar@nokia.com>  Tue,  3 Oct 2006 16:31:51 +0300

osso-voip-ui (1.0.13-1) unstable; urgency=low

  * When double-tapping a recent view entry, avoid opening two get in
    contact dialogs (Fixes: NB#42037)
  * Select key-press and key-release events on the video windows, so
    that that both clients (SE and the UI) get them.
  * Don't stop book views before unreffing them

 --  Naba Kumar <naba.kumar@nokia.com>  Tue,  3 Oct 2006 13:00:41 +0300

osso-voip-ui (1.0.12-2) unstable; urgency=low

  * removed forbidden words

 --  Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Fri, 29 Sep 2006 12:54:38 +0300

osso-voip-ui (1.0.12-1) unstable; urgency=low

  * Add comment field to .desktop file (Fixes: NB#41163)
  * Prevent screen blanking when displaying video (Fixes: NB#41235)
  * Make all EDS usage async; don't start EBookView on startup
  * Destroy incoming call dialog before calling convenience functions
    that may use gtk_dialog_run () and lock up. (Fixes: NB#41625)
  * Enable "Waiting for video" state
  * Use unbuffered subwindows for video streams (Fixes: NB#41391,
    Fixes: NB#41324)
  * When logging to stdout, use g_debug rather than printf

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 25 Sep 2006 14:15:43 +0300

osso-voip-ui (1.0.11-1) unstable; urgency=low

  * Implemented instant video functionality (--enable-instant-video)
  * Updated layouts to comply with layout guide v6.1
  * Add "Target unable to talk" infoprint (Fixes: NB#39028)
  * Don't display timer when disconnected at 00:00 (Fixes: NB#40358)

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 21 Sep 2006 15:27:56 +0300

osso-voip-ui (1.0.10-1) unstable; urgency=low

  * Set keep_above for devlock dialogs, fixes NB#40089, NB#39794
  * Fixes: NB#40358

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 14 Sep 2006 13:28:27 +0300

osso-voip-ui (1.0.9-1) unstable; urgency=low

  * Video call support improved

  * Fixes: NB#40094
  * Fixes: NB#39838
  * Fixes: NB#39839

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 13 Sep 2006 16:33:57 +0300

osso-voip-ui (1.0.8-1) unstable; urgency=low

  * Comply with libtelepathy API changes (RequestStreams return value,
    stream state constants)

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 11 Sep 2006 11:48:48 +0300

osso-voip-ui (1.0.7-1) unstable; urgency=low

  * Fixes: NB#39853
  * Fixes: NB#39840
  * Fixes: NB#39763
  * Fixes: NB#39342
  * Fixes: NB#39173
  * Fixes: NB#38952
  * Fixes: NB#38953

  * Limited video call support

 -- Naba Kumar <naba.kumar@nokia.com>  Fri,  8 Sep 2006 13:35:32 +0300

osso-voip-ui (1.0.6-1) unstable; urgency=low

  * Make audio calls work again (Fixes: NB#39476, NB#39483)

 -- Naba Kumar <naba.kumar@nokia.com>  Tue,  5 Sep 2006 09:43:44 +0300

osso-voip-ui (1.0.5-1) unstable; urgency=low

  * Comply with the new libtelepathy API
  * Added "launch on camera" setting (Fixes: NB#39254)
  * Avoid updating call summary data on next incoming call (Fixes: NB#39245) 

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 30 Aug 2006 12:47:08 +0300

osso-voip-ui (1.0.4-1) unstable; urgency=low

  * Filter recent entries by EContact ID when available (Fixes: NB#35907 and
    NB#35910)
  * Do not open with "Select contact" dialog (Fixes: NB#35916)
  * Add a horizontal separator to the menu (Fixes: NB#35932)
  * Disable test menu (Fixes: NB#36084)
  * Fall back to nick name in incoming call dlg (Fixes: NB#37283)
  * Don't mute output, when input is muted (Fixes: NB#38463)

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 28 Aug 2006 13:02:14 +0300

osso-voip-ui (1.0.3-1) unstable; urgency=low

  * disconnect Close signal before closing channel, Fixes: NB#35923

 -- Naba Kumar <naba.kumar@nokia.com>  Tue,  1 Aug 2006 11:22:49 +0300

osso-voip-ui (1.0.2-1) unstable; urgency=low

  * Enable "New contact" button for the Select Contact dialog (Fixes: NB#35131)
  * Use contact (instead of account) view and model (Fixes: NB#34962)
  * Correct the initial recent view column size

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 20 Jul 2006 12:23:19 +0300

osso-voip-ui (1.0.1-1) unstable; urgency=low

  * Initial G release
  * v4l2 interface/device used directly (requires permissions for "user" to
    access /dev/video0)
  * A test-menu is provided for testing the camera

  * Listen to contacts added/deleted signals (Fixes: NB#29966, NB#34429)
  * Logical string updates (Fixes: NB#33257)
  * Add View > Full Screen menu item (Fixes: NB#34378)
  * Make the volume bar focusable (Fixes: NB#34604, NB#34606)
  * Fix a call duration glitch (Fixes: NB#34702)
  * When launched from e-mail or browser, look up an EContact (Fixes: NB#34982)

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 19 Jul 2006 12:02:57 +0300

osso-voip-ui (0.5.5-1) unstable; urgency=low

  * Fixes to (relatively rare) "Select account" code path:
    - Don't try to destroy an already destroyed dialog again
    - Don't start account wizard when the dialog is cancelled

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 20 Jun 2006 14:02:45 +0300

osso-voip-ui (0.5.4-1) unstable; urgency=low

  * Cancel a pending channel request when exiting the application.
    Otherwise MC may keep going and after a while start the UI that does not
    know what to do with the channel.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 16 Jun 2006 15:00:32 +0300

osso-voip-ui (0.5.3-1) unstable; urgency=low

  * Ensure we handle errors emitted from libmissioncontrol directly. Fixes the
    case when user tries to call out without having any enabled accounts.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 16 Jun 2006 11:34:40 +0300

osso-voip-ui (0.5.2-1) unstable; urgency=low

  * Fixes: NB#31113 -- Google talk icon in chat is scaled
  * Avoid a theoretical crash with the call header CS menu

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 15 Jun 2006 12:56:38 +0300

osso-voip-ui (0.5.1-1) unstable; urgency=low

  * Avoid GLIB CRITICAL warnings when exiting in middle of a call (fixes 32344)
  * Minor tweaks to error handling
  * Enabled maemo-launcher again
  * Added "end_call" method to complement "set_auto_answer"

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 12 Jun 2006 12:15:18 +0300

osso-voip-ui (0.5.0-1) unstable; urgency=low

  * Implemented low-memory handling (fixes bug 31815) 

 -- Naba Kumar <naba.kumar@nokia.com>  Tue,  6 Jun 2006 11:03:45 +0300

osso-voip-ui (0.4.9-1) unstable; urgency=low

  * Fixed bug 31685: Call originated from 770/offline times out too fast
  * Reverted workaround for bug 31113 as it's seems it's going to be fixed
    after all.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri,  2 Jun 2006 17:10:44 +0300

osso-voip-ui (0.4.8-1) unstable; urgency=low

  * Fix bug 24895: Caller address not shown in the Incoming call dialog.
  * Synchronize mute settings with the voip-engine at the beginning of
    each call.

 -- Naba Kumar <naba.kumar@nokia.com>  Fri,  2 Jun 2006 09:41:54 +0300

osso-voip-ui (0.4.7-1) unstable; urgency=low

  * Update recent list even if there's no call summary (Fixes 31089)
  * Workaround for branding icon size (31113)
  * Avoid GLIB CRITICAL spam on possible connection manager crashes

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 30 May 2006 11:46:39 +0300

osso-voip-ui (0.4.6-1) unstable; urgency=low

  * Fixed bug 31058: Closing another application with HW key disconnects Voip
    call.
  * Recover from EDS crashes
  * Clean-up to avoid false alarms from l10n code scanners.

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 29 May 2006 13:00:37 +0300

osso-voip-ui (0.4.5-1) unstable; urgency=low

  * On calling a contact that does not support voice / is offline, display
    also "No answer" infoprint. (Additional fix to bug 30306).
  * End ongoing call if the Connection object gets destroyed because of
    a CM crash.

 -- Naba Kumar <naba.kumar@nokia.com>  Mon, 29 May 2006 09:48:36 +0300

osso-voip-ui (0.4.4-1) unstable; urgency=low

  * Allow blocking of contacts that aren't in the address book
    (fixes 29444 partially)
  * Removed some fixed dialog min widths (let them resize by content)

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 26 May 2006 15:10:35 +0300

osso-voip-ui (0.4.3-1) unstable; urgency=low

  * Fixed 30306: Calling offline contact gives Unknown error
  * Fixed 30514: "End" option is not enabled in "Control" Sub menu of...
  * Fixed 26350: Contact name not displayed correctly in Caller information...

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 24 May 2006 16:49:51 +0300

osso-voip-ui (0.4.2-1) unstable; urgency=low

  * Fixed 29737: play sound on end call in devlock mode
  * fixed 29264: display connecting during in-call buffering

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 18 May 2006 20:28:18 +0300

osso-voip-ui (0.4.1-1) unstable; urgency=low

  * Pixel-perfected the idle view
  * Don't leak the GArray in GetLocalPendingMembers

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 12 May 2006 10:49:48 +0300

osso-voip-ui (0.4.0-1) unstable; urgency=low

  * React to libossoabook API change (osso_abook_init takes osso_context now) 

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 10 May 2006 16:38:54 +0300

osso-voip-ui (0.3.9-1) unstable; urgency=low

  * Always try to go online on displaying "Select contact" dialog
  * Handle "Unknown errors" as specified in the UI spec.
  * Small theming related fixes

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 10 May 2006 11:55:07 +0300

osso-voip-ui (0.3.8-1) unstable; urgency=low

  * Go online (online/invisible/away presence) on startup
  * Fixed some small memory leaks in D-BUS callbacks 

 -- Naba Kumar <naba.kumar@nokia.com>  Mon,  8 May 2006 10:20:27 +0300

osso-voip-ui (0.3.7-1) unstable; urgency=low

  * Use "pixel-size" property with 64x54-pixel icons. Avoids some hacks.
  * Use DBUS_TYPE_BOOLEAN with output/input mute
  * Named idle/call view widgets to get custom styles to apply
  * Try to cancel MC requests if a call is quickly ended by user
  * Fixed bugs 28444, 28407, and 28395

 -- Naba Kumar <naba.kumar@nokia.com>  Fri,  5 May 2006 12:19:37 +0300

osso-voip-ui (0.3.6-2) unstable; urgency=low

  * temprorarily disabled maemo launcher

 -- Naba Kumar <naba.kumar@nokia.com>  Tue,  2 May 2006 20:05:38 +0300

osso-voip-ui (0.3.6-1) unstable; urgency=low

  * Fixed bug #28289
  * Don't enable help for incoming call dialog in devlock mode
  * Don't hard-code vcard fields

 --  Naba Kumar <naba.kumar@nokia.com>  Tue,  2 May 2006 17:17:29 +0300

osso-voip-ui (0.3.5-1) unstable; urgency=low

  * Added auto-answer support (--enable-auto-answer) for testing purposes.
    Send D-BUS message "set_auto_answer" int32:<delay in secs> to enable
    at run-time.
  * Added the previously missing icon to idle view

 --  Naba Kumar <naba.kumar@nokia.com>  Fri, 28 Apr 2006 13:10:05 +0300

osso-voip-ui (0.3.4-1) unstable; urgency=low

  * Support callto scheme and vcard-fieldless URIs (use jabber by default).
    Fixes bug 27755.

 --  Naba Kumar <naba.kumar@nokia.com>  Tue, 25 Apr 2006 16:40:43 +0300

osso-voip-ui (0.3.3-1) unstable; urgency=low

  * Misc fixes to mute handling
  * Don't crash at exit with G_DISABLE_CHECKS enabled
  * Optimized devlock mode querying

 --  Naba Kumar <naba.kumar@nokia.com>  Mon, 24 Apr 2006 17:02:21 +0300

osso-voip-ui (0.3.2-1) unstable; urgency=low

  * Fixed bugs 25812 and 27077. 

 --  Naba Kumar <naba.kumar@nokia.com>  Thu, 20 Apr 2006 16:22:18 +0300

osso-voip-ui (0.3.1-1) unstable; urgency=low

  * Fixes to comply with UI spec v6.0
  * Fixed layouts to follow layout guide v6.1
  * Display branding / service icons according to RtcomProfiles
  * Removed unused widgets
  * Added two dialogs for account selection (URI handling; no bound account)
  * Display connecting banner in devlock mode before the call starts.
  * Terminate call on MC errors

  * Bugs resolved: 25824 and 26801

 --  Naba Kumar <naba.kumar@nokia.com>  Thu, 20 Apr 2006 13:01:10 +0300

osso-voip-ui (0.3.0-1) unstable; urgency=low

  * Reworked layout. No proper theming yet.
  * Fix lock-ups with the URI handler
  * Support device lock mode
  * Close other dialogs if we get an incoming call

 --  Naba Kumar <naba.kumar@nokia.com>  Wed, 19 Apr 2006 13:12:44 +0300

osso-voip-ui (0.2.7-2) unstable; urgency=low

  * Fixing bug #26728

 --  Naba Kumar <naba.kumar@nokia.com>  Tue, 18 Apr 2006 18:20:28 +0300

osso-voip-ui (0.2.7-1) unstable; urgency=low

  * Guard against connecting/playing signals being emitted too early

 --  Naba Kumar <naba.kumar@nokia.com>  Mon, 10 Apr 2006 19:47:57 +0300

osso-voip-ui (0.2.6-1) unstable; urgency=low

  * Removed manual dial on Andrei's request. It should be gone in the latest
    UI specs. 
  * When an incoming call is blocked, don't consider it a missed call.

 --  Naba Kumar <naba.kumar@nokia.com>  Mon, 10 Apr 2006 13:49:54 +0300

osso-voip-ui (0.2.5-1) unstable; urgency=low

  * Get contact properly for incoming calls 

 --  Naba Kumar <naba.kumar@nokia.com>  Mon, 10 Apr 2006 11:39:14 +0300

osso-voip-ui (0.2.4-1) unstable; urgency=low

  * Fixed URI handling
  * Fixed initial volume setting
  * Removed ringtone fallbacks, sounds applet now needs to be used

 --  Naba Kumar <naba.kumar@nokia.com>  Mon, 10 Apr 2006 10:43:06 +0300

osso-voip-ui (0.2.3-0osso2) unstable; urgency=low

  * version update

 --  Naba Kumar <naba.kumar@nokia.com>  Fri,  7 Apr 2006 19:02:14 +0300

osso-voip-ui (0.2.3-0osso1) unstable; urgency=low

  * Reenable volume setting on voip engine on startup

 -- Rob Taylor <robtaylor@smtp.messagingengine.com>  Fri,  7 Apr 2006 17:59:02 +0300

osso-voip-ui (0.2.2-1) unstable; urgency=low

  * Handle osso-uri requests from the ABook 

 --  Naba Kumar <naba.kumar@nokia.com>  Thu,  6 Apr 2006 17:23:54 +0300

osso-voip-ui (0.2.1-1) unstable; urgency=low

  * Fixed volume scale 

 --  Naba Kumar <naba.kumar@nokia.com>  Wed,  5 Apr 2006 18:00:56 +0300

osso-voip-ui (0.2.0-1) unstable; urgency=low

  * Set default volume at 70% on startup. 

 --  Naba Kumar <naba.kumar@nokia.com>  Wed,  5 Apr 2006 14:33:45 +0300

osso-voip-ui (0.1.9-1) unstable; urgency=low

  * Made focus/HW key handling follow the latest UI spec
  * Enabled ringtones
  * Enabled volume/mute
  * Fixed missed call passing to TN plugin

 --  Naba Kumar <naba.kumar@nokia.com>  Wed,  5 Apr 2006 12:39:01 +0300

osso-voip-ui (0.1.8-1) unstable; urgency=low

  * Possibly fixed an issue with rejecting an incoming call (channel closed
    twice, caused trouble in Gabble)
  * Let mission control start the voip engine from now on

 --  Naba Kumar <naba.kumar@nokia.com>  Mon,  3 Apr 2006 17:02:02 +0300

osso-voip-ui (0.1.7-1) unstable; urgency=low

  * Fixed issues with recent list handling:
    - items got appended in wrong (reverse) order on startup
    - on reaching the maximum of 6 items, old menu items weren't removed but
      were left with dangling pointers to the model

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 29 Mar 2006 12:09:10 +0300

osso-voip-ui (0.1.6-1) unstable; urgency=low

  * Be API compatible with libmissioncontrol 0.9

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 28 Mar 2006 18:37:24 +0300

osso-voip-ui (0.1.5-1) unstable; urgency=low

  * Maemo-launcher enabled for faster startup, configure with
    --disable-launcher to disable
  * Added Recent calls list
  * Listen to HW signals (for instance exit on shutdown_ind)
  * Add to contacts stuff uses the new abook API, and thus passes bound
    accounts as well.
  * Connect to AccountStatusChanged earlier to notice possible disconnect
    more reliably
  * Fixes to incoming call dialog item dimming
  * Display "No account defined" confirmation note if appropriate

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 28 Mar 2006 18:09:51 +0300

osso-voip-ui (0.1.4-1) unstable; urgency=low

  * Fixed handling of bound accounts
  * Support for / dependency on mission control >= 0.8
  * Removed Hold / Resume functionality (omitted from SWRs)
  * Listen to changes on the EBookView and update display data accordingly.

 -- Naba Kumar <naba.kumar@nokia.com>  Thu, 23 Mar 2006 15:43:24 +0200

osso-voip-ui (0.1.3-1) unstable; urgency=low

  * Ringtone support added (incomplete; depends on the CP applet and ESD fixes
    from MM, so currently it's disabled)
  * Uses libosso-rtcom accounts
  * Misc dialog layout fixes

 -- Naba Kumar <naba.kumar@nokia.com>  Wed, 22 Mar 2006 12:57:33 +0200

osso-voip-ui (0.1.2-1) unstable; urgency=low

  * Notify Contacts TN plug-in of missed calls
  * Timeout outgoing calls if not answered within 60 seconds
  * Enable application / dialog help (depends on help content availability)
  * Fixed dialog layouts
  * Removed mute button from the Volume bar and added a non-functional
    mute button

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 17 Mar 2006 12:31:38 +0200

osso-voip-ui (0.1.1-3) unstable; urgency=low

  * added dependency on l10n package for voip-ui

 -- Naba Kumar <naba.kumar@nokia.com>  Tue, 14 Mar 2006 11:19:19 +0200

osso-voip-ui (0.1.1-2) unstable; urgency=low

  * included dependency on libosso-chavo-dev

 -- Naba Kumar <naba.kumar@nokia.com>  Fri, 10 Mar 2006 16:06:39 +0200

osso-voip-ui (0.1.1-1) unstable; urgency=low

  * Display caller's name in incoming call dialog
  * Ensure DBusGProxy signals are disconnected on destroying the object 
  * Fixed icons
  * Fixed logical strings
  * Some error handling added
  * Loading of sound applet (Ringtones) added 

 -- Dmitry Rojkov <ext-dmitry.rozhkov@nokia.com>  Wed,  8 Mar 2006 16:57:39 +0200

osso-voip-ui (0.1.0-1) unstable; urgency=low

  * Updated icons
  * Tentative Google talk support

 -- Dmitry Rojkov <ext-dmitry.rozhkov@nokia.com>  Fri,  3 Mar 2006 19:31:33 +0200

osso-voip-ui (0.0.1-3) unstable; urgency=low

  * Updated osso_abook_account functions in voip-call-manager.c to match
    current osso-abook interface

 -- Dmitry Rojkov <ext-dmitry.rozhkov@nokia.com>  Tue, 21 Feb 2006 20:48:59 +0200

osso-voip-ui (0.0.1-2) unstable; urgency=low

  * initial release

 -- Dmitry Rojkov <ext-dmitry.rozhkov@nokia.com>  Thu, 28 Jan 2006 11:55:03 +0200
